Results 1 to 18 of 18

Thread: After upgrade Directadmin Version 1.431 i get libmysqlclient.so.18: no version inform

  1. #1
    Join Date
    Nov 2003
    Location
    germany
    Posts
    130

    After upgrade Directadmin Version 1.431 i get libmysqlclient.so.18: no version inform

    Hi John.

    I have upgrade two Debian 6 (64bit) boxes today with DA 1.431.
    After the upgrade i get.

    /usr/local/directadmin/dataskq: /usr/local/mysql/lib/libmysqlclient.so.18: no version information available (required by /usr/local/directadmin/dataskq)

    or with custombuid

    root@dns02:/usr/local/directadmin/custombuild# ./build versions
    /usr/local/directadmin/directadmin: /usr/local/mysql/lib/libmysqlclient.so.18: no version information available (required by /usr/local/directadmin/directadmin)
    /usr/local/directadmin/directadmin: /usr/local/mysql/lib/libmysqlclient.so.18: no version information available (required by /usr/local/directadmin/directadmin)
    Latest version of DirectAdmin: 1.43.0
    Installed version of DirectAdmin: 1.43.1

    thanks for help

  2. #2
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    7,989
    Please check http://forum.directadmin.com/showthread.php?t=40774. If it does not help, please post the output of:
    Code:
    ls -l /usr/local/mysql/lib | grep libmysqlclient
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  3. #3
    Join Date
    Nov 2003
    Location
    germany
    Posts
    130
    I have allready try it. But it dosen´t work.

    root@dns02:/usr/lib64# ls -l /usr/local/mysql/lib | grep libmysqlclient
    -rw-r--r-- 1 mysql mysql 14743256 May 16 18:28 libmysqlclient.a
    lrwxrwxrwx 1 mysql mysql 20 Jun 24 15:28 libmysqlclient.so -> libmysqlclient.so.18
    -rwxr-xr-x 1 mysql mysql 6053926 Oct 26 2011 libmysqlclient.so.16
    lrwxrwxrwx 1 mysql mysql 24 Jun 24 15:28 libmysqlclient.so.18 -> libmysqlclient.so.18.0.0
    -rwxr-xr-x 1 mysql mysql 6891649 May 16 18:28 libmysqlclient.so.18.0.0
    lrwxrwxrwx 1 mysql mysql 16 Jun 24 15:28 libmysqlclient_r.a -> libmysqlclient.a
    lrwxrwxrwx 1 mysql mysql 17 Jun 24 15:28 libmysqlclient_r.so -> libmysqlclient.so
    lrwxrwxrwx 1 mysql mysql 17 Jun 24 15:28 libmysqlclient_r.so.18 -> libmysqlclient.so
    lrwxrwxrwx 1 mysql mysql 17 Jun 24 15:28 libmysqlclient_r.so.18.0.0 -> libmysqlclient.so

    root@dns02:/usr/lib64# /etc/init.d/directadmin restart
    Stopping DirectAdmin: [ OK ]
    Starting DirectAdmin: /usr/local/directadmin/directadmin: /usr/local/mysql/lib/libmysqlclient.so.18: no version information available (required by /usr/local/directadmin/directadmin)
    [ OK ]


    When i replace the OLD DA Binery it works without error message.

  4. #4
    Join Date
    Oct 2011
    Posts
    12
    same issue here
    debian6 x86

    root@server:~# service directadmin restart
    Stopping DirectAdmin: [ FAILED ]
    Starting DirectAdmin: /usr/local/directadmin/directadmin: error while loading shared libraries: libmysqlclient.so.18: cannot open shared object file: No such file or directory
    [ FAILED ]
    root@server:~# ls -l /usr/local/mysql/lib | grep libmysqlclient
    -rw-r--r-- 1 root mysql 10381390 Jan 20 2011 libmysqlclient.a
    lrwxrwxrwx 1 root mysql 16 Nov 2 2011 libmysqlclient_r.a -> libmysqlclient.a
    lrwxrwxrwx 1 root mysql 17 Nov 2 2011 libmysqlclient_r.so -> libmysqlclient.so
    lrwxrwxrwx 1 root mysql 20 Nov 2 2011 libmysqlclient.so -> libmysqlclient.so.16
    lrwxrwxrwx 1 root mysql 24 Jun 24 19:53 libmysqlclient.so.16 -> libmysqlclient.so.16.0.0
    -rwxr-xr-x 1 root mysql 6053926 Jan 20 2011 libmysqlclient.so.16.0.0
    lrwxrwxrwx 1 root mysql 20 Jun 24 19:54 libmysqlclient.so.18 -> libmysqlclient.so.16
    root@server:~#

    root@server:~# cd /usr/lib
    root@server:/usr/lib# ln -s libmysqlclient.so.16 libmysqlclient.so.18
    root@server:/usr/lib# service directadmin restart
    Stopping DirectAdmin: [ FAILED ]
    Starting DirectAdmin: /usr/local/directadmin/directadmin: /usr/lib/libmysqlclient.so.18: version `libmysqlclient_18' not found (required by /usr/local/directadmin/directadmin)
    [ FAILED ]
    root@server:/usr/lib#

    Help please.

  5. #5
    Join Date
    Oct 2011
    Posts
    12
    Also total 6 hours 30min - support DA still not answer.
    no comments...

    After some next hours i'm found solution:
    DireactAdmin not look into /usr/local/mysq/lib/ on Debian6, where DA making update with symbolic link libmysqlclient.so.18
    and looking only in /usr/lib/ where symbolic link libmysqlclient.so.18 not available
    /usr/lib/ (or lib64) also can contain another version of libmysqlclient.so.16 and symbolic link to the same directory will not help

    so, lets make right fix:

    root@server: cd /usr/lib
    root@server:/usr/lib# ln -s /usr/local/mysq/lib/libmysqlclient.so.16 libmysqlclient.so.18
    root@server:/usr/lib# service directadmin restart
    Stopping DirectAdmin: [ FAILED ]
    Starting DirectAdmin: /usr/local/directadmin/directadmin: /usr/lib/libmysqlclient.so.18: no version information available (required by /usr/local/directadmin/directadmin)
    [ OK ]

    Error still available, but DirectAdmin working fine.

    If this solution not help you, do try make symbolic link for libmysqlclient.so.18 from /usr/lib (or from /usr/local/lib) to /usr/local/mysql/lib/libmysqlclient.so.16 or /usr/mysql/lib/libmysqlclient.so.16
    For 64-bit debian lib will be lib64 i think.

  6. #6
    Hello,

    Thanks for the reports. This issue turns out to have been just on that build system, and was resolved quickly, but some Debian 6 32-bit servers that updated in that window may be affected.
    It's been sorted out in the packages, but for anyone affected, grab new binaries with this guide:
    http://help.directadmin.com/item.php?id=29

    Our apologies for anyone affected by the issue.

    John

  7. #7
    Join Date
    Nov 2003
    Location
    germany
    Posts
    130
    i follow this steps:

    cd /usr/local/directadmin
    wget --no-check-certificate -O update.tar.gz 'https://www.directadmin.com/cgi-bin/daupdate?redirect=ok&uid=123&lid=1234'
    tar xvzf update.tar.gz
    ./directadmin p
    cd scripts
    ./update.sh
    /etc/init.d/directadmin restart

    but i get the same error:

    root@dns01:/usr/local/directadmin/scripts# ./update.sh
    Stopping DA-PopB4Smtp:
    Starting DA-PopB4Smtp:
    /usr/local/directadmin/directadmin: /usr/local/mysql/lib/libmysqlclient.so.18: no version information available (required by /usr/local/directadmin/directadmin)
    /usr/local/directadmin/directadmin: /usr/local/mysql/lib/libmysqlclient.so.18: no version information available (required by /usr/local/directadmin/directadmin)
    root@dns01:/usr/local/directadmin/scripts# /etc/init.d/directadmin restart
    Stopping DirectAdmin: [ OK ]
    Starting DirectAdmin: /usr/local/directadmin/directadmin: /usr/local/mysql/lib/libmysqlclient.so.18: no version information available (required by /usr/local/directadmin/directadmin)
    [ OK ]

  8. #8
    Join Date
    Nov 2003
    Location
    germany
    Posts
    130
    autoupdate DA was not a good choice in custombuild.
    All my boxes spam me up with cron daemon messages.

    usr/local/directadmin/dataskq: /usr/local/mysql/lib/libmysqlclient.so.18: no version information available (required by /usr/local/directadmin/dataskq)

    only recover the old directadmin file from yesterday fix the error and the messages

  9. #9
    Join Date
    Nov 2008
    Posts
    51
    DirectAdmin: the fix you proposed does not work:

    root@whirlpool:/usr/local/directadmin# ./directadmin p
    ./directadmin: error while loading shared libraries: libmysqlclient.so.18: cannot open shared object file: No such file or directory
    root@whirlpool:/usr/local/directadmin# cd scripts/
    root@whirlpool:/usr/local/directadmin/scripts# ./update.sh
    Stopping DA-PopB4Smtp:
    Starting DA-PopB4Smtp:
    root@whirlpool:/usr/local/directadmin/scripts# /etc/init.d/directadmin restart
    Stopping DirectAdmin: [ FAILED ]
    Starting DirectAdmin: /usr/local/directadmin/directadmin: error while loading shared libraries: libmysqlclient.so.18: cannot open shared object file: No such file or directory
    [ FAILED ]

    Please fix this now, i have customers complaining! Atleast tell me how I can rollback the update, all was working fine yesterday. I run Debian 6 x64 too.

  10. #10
    Join Date
    Feb 2011
    Posts
    12

    Angry

    Same error on my machine after automatic upgrade DA.
    Error came around 6 am today

    root@srv:/usr/local/directadmin# /etc/init.d/directadmin restart
    Stopping DirectAdmin: [ FAILED ]
    Starting DirectAdmin: /usr/local/directadmin/directadmin: error while loading shared libraries: libmysqlclient.so.18: cannot open shared object file: No such file or directory
    [ FAILED ]


    I have Debian 6.0 64 bits

    Please help !!

  11. #11
    Join Date
    Nov 2008
    Posts
    51
    I've got a fix too:

    - remove any symlinks you just created in /usr/local/mysql/lib
    - download latest update as described here: http://help.directadmin.com/item.php?id=29
    - make sure you run the ./update.sh script
    - create symlink: ln -s /usr/local/mysql/lib/libmysqlclient.so.18 /usr/lib/libmysqlclient.so.18
    - try to start directadmin: service directadmin start

    for me this results in:

    Starting DirectAdmin: /usr/local/directadmin/directadmin: /usr/lib/libmysqlclient.so.18: no version information available (required by /usr/local/directadmin/directadmin)
    [ OK ]

    Not ideal but it seems to work. DirectAdmin: please create a proper fix for this issue. Also, I don't know if I screwed up any of my libmysqlclient.so files while trying the numerous non working fixes... is there any way to 'rebuild' those files/symlinks?

  12. #12
    Join Date
    Jun 2013
    Posts
    6
    Quote Originally Posted by futurevision View Post
    I've got a fix too:

    - remove any symlinks you just created in /usr/local/mysql/lib
    - download latest update as described here: http://help.directadmin.com/item.php?id=29
    - make sure you run the ./update.sh script
    - create symlink: ln -s /usr/local/mysql/lib/libmysqlclient.so.18 /usr/lib/libmysqlclient.so.18
    - try to start directadmin: service directadmin start

    for me this results in:

    Starting DirectAdmin: /usr/local/directadmin/directadmin: /usr/lib/libmysqlclient.so.18: no version information available (required by /usr/local/directadmin/directadmin)
    [ OK ]

    Not ideal but it seems to work. DirectAdmin: please create a proper fix for this issue. Also, I don't know if I screwed up any of my libmysqlclient.so files while trying the numerous non working fixes... is there any way to 'rebuild' those files/symlinks?
    That only gets me:
    Code:
    # /etc/init.d/directadmin start
    Starting DirectAdmin: /usr/local/directadmin/directadmin: /usr/lib/libmysqlclient.so.18: version `libmysqlclient_18' not found (required by /usr/local/directadmin/directadmin)
    [ FAILED ]

  13. #13
    Join Date
    Jun 2013
    Posts
    6
    Getting the /usr/local/directadmin/directadmin binary from tonight's backup fixed it for us, error free!

  14. #14
    Hello,

    I've made one more change, try this guide one more time:
    http://help.directadmin.com/item.php?id=29

    If anyone is still having issues, please send us an email.

    Both Debian 6 32-bit and 64-bit should be linked to libmysqlclient.so.16.

    John

  15. #15
    Join Date
    Nov 2003
    Location
    germany
    Posts
    130
    Thanks John.
    Works for me. No errors at the moment.

    thx

  16. #16
    Join Date
    Nov 2008
    Posts
    51
    Working fine here too, thanks.

  17. #17
    Join Date
    Jun 2013
    Posts
    6
    Confirmed, everything is working again.

    (I also removed the binaries I posted earlier, so the links above are now broken)

  18. #18
    Join Date
    Feb 2012
    Location
    Australia
    Posts
    18
    Also confirmed this way .. thanks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •